Bug 136113 - Pacakages aren't removed when instructed .
Summary: Pacakages aren't removed when instructed .
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-packages   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 00:21 UTC by Mike
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 18:21:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message box thrown by Add/Remove Packages (86.61 KB, image/jpeg)
2004-10-18 00:23 UTC, Mike
no flags Details

Description Mike 2004-10-18 00:21:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041012

Description of problem:
After installing "everything" in FC3T3 I attempted to remove some of
the KDE packages after deciding that GNOME performed better.  I kicked
up this package through the add/remove menu selection and selected the
"details" page for KDE.  I noted that there isn't an option to remove
KDE but each of the "extras" had checkboxes which seem to indicate
they can be removed.  I unchecked each box, closed the page and then
selected "update" on the main screen.  I was then presented with an
error box saying that packages could not be found (see attached
screenshot) while a quick listing shows the are:

# rpm -qa kde* | sort
kdeaddons-3.3.0-2
kdeaddons-atlantikdesigner-3.3.0-2
kdeaddons-xmms-3.3.0-2
kdeadmin-3.3.0-1
kdeartwork-3.3.0-1
kdeartwork-icons-3.3.0-1
kdebase-3.3.0-8
kdebase-devel-3.3.0-8
kdebindings-3.3.0-3
kdebindings-devel-3.3.0-3
kdeedu-3.3.0-1
kdeedu-devel-3.3.0-1
kdegames-3.3.0-2
kdegames-devel-3.3.0-2
kdegraphics-3.3.0-3
kdegraphics-devel-3.3.0-3
kde-i18n-Brazil-3.3.0-2
kde-i18n-British-3.3.0-2
kde-i18n-Bulgarian-3.3.0-2
kde-i18n-Catalan-3.3.0-2
kde-i18n-Chinese-3.3.0-2
kde-i18n-Chinese-Big5-3.3.0-2
kde-i18n-Czech-3.3.0-2
kde-i18n-Danish-3.3.0-2
kde-i18n-Dutch-3.3.0-2
kde-i18n-Estonian-3.3.0-2
kde-i18n-Finnish-3.3.0-2
kde-i18n-French-3.3.0-2
kde-i18n-German-3.3.0-2
kde-i18n-Greek-3.3.0-2
kde-i18n-Hebrew-3.3.0-2
kde-i18n-Hungarian-3.3.0-2
kde-i18n-Icelandic-3.3.0-2
kde-i18n-Italian-3.3.0-2
kde-i18n-Japanese-3.3.0-2
kde-i18n-Norwegian-3.3.0-2
kde-i18n-Norwegian-Nynorsk-3.3.0-2
kde-i18n-Polish-3.3.0-2
kde-i18n-Portuguese-3.3.0-2
kde-i18n-Romanian-3.3.0-2
kde-i18n-Russian-3.3.0-2
kde-i18n-Serbian-3.3.0-2
kde-i18n-Slovak-3.3.0-2
kde-i18n-Slovenian-3.3.0-2
kde-i18n-Spanish-3.3.0-2
kde-i18n-Swedish-3.3.0-2
kde-i18n-Turkish-3.3.0-2
kde-i18n-Ukrainian-3.3.0-2
kdelibs-3.3.1-1
kdelibs-devel-3.3.1-1
kdemultimedia-3.3.0-2
kdemultimedia-devel-3.3.0-2
kdenetwork-3.3.0-5
kdenetwork-devel-3.3.0-5
kdenetwork-nowlistening-3.3.0-5
kdepim-3.3.0-2
kdepim-devel-3.3.0-2
kdesdk-3.3.0-1
kdesdk-devel-3.3.0-1
kdetoys-3.3.0-1
kdeutils-3.3.0-2
kdeutils-devel-3.3.0-2
kdevelop-3.1.0-2
kdewebdev-3.3.0-1
kdewebdev-devel-3.3.0-1


Version-Release number of selected component (if applicable):
system-config-packages-1.2.19-1

How reproducible:
Always

Steps to Reproduce:
1.Add/Remove Programs
2.KDE Details
3.Unselect all Extras 
4.Close
5.Update -> error is displayed
    

Actual Results:  error

Expected Results:  packages should have been removed

Additional info:

Comment 1 Mike 2004-10-18 00:23:30 UTC
Created attachment 105359 [details]
Error message box thrown by Add/Remove Packages

Comment 2 Jeremy Katz 2005-09-21 18:21:52 UTC
This should be a little better in FC4.  The real fixes will hopefully come along
in FC5


Note You need to log in before you can comment on or make changes to this bug.